activeNet {maigesPack} | R Documentation

## Functional classification of gene networks

### Description

This function calculate a statistic for each gene network in each biological condition that measure the profile of activation of the network in that condition. Also the function measures the significance of the results.

### Usage

    activeNet(data=NULL, samples=NULL, sLabelID="Classification",
              type="Rpearson", bRep=1000, alternative = "greater",
              adjP="none")

### Arguments

`data` | object of class `maiges` to be used to functionally classify gene networks stored in `Paths` slot.
`sLabelID` | character string specifying identification of sample label to be used.
`samples` | a list with character vectors specifying the groups that must be compared.
`type` | character string giving the type of correlation to be calculated. May be 'Rpearson' (default), 'pearson', 'kendall', 'spearman' or 'MI'.
`bRep` | integer number specifying the bootstraps to be done in the correlation test.
`alternative` | character string specifying the alternative hypotheses. May be 'greater' (default) to test the activity of the networks in accordance to the to the graph or 'less' to test the activity of the network antagonic to the graph.
`adjP` | character string giving the type of p-value adjustment. May be 'Bonferroni', 'Holm', 'Hochberg', 'SidakSS', 'SidakSD', 'BH', 'BY' or 'none'. Defaults to 'none'. See function `mt.rawp2adjp` in package multtest for more details.

### Details

If the argument `samples` is NULL, all types defined by the sample label given by `sLabelID` are used. It is possible to use the `plot.maigesActNet` and `image.maigesActNet` methods to display the results of this analysis.

### Value

The result of this function is an object of class `maigesActNet`.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`activeNetScoreHTML`, `maigesActNet`, `plot.maigesActNet`, `image.maigesActNet`, `mt.rawp2adjp`

### Examples

    ## Loading the dataset
    data(gastro)

    ## Doing functional classification of gene networks for sample Label
    ## given by 'Tissue'
    gastro.net = activeNet(gastro.summ, sLabelID="Tissue")

[Package maigesPack version 1.4.0 Index]